import request from '@/utils/request'

// 查询ip访问记录列表
export function listIpRecord(query) {
  return request({
    url: '/cai/ipRecord/list',
    method: 'get',
    params: query
  })
}

// 查询ip访问记录详细
export function getIpRecord(id) {
  return request({
    url: '/cai/ipRecord/' + id,
    method: 'get'
  })
}

// 新增ip访问记录
export function addIpRecord(data) {
  return request({
    url: '/cai/ipRecord',
    method: 'post',
    data: data
  })
}

// 修改ip访问记录
export function updateIpRecord(data) {
  return request({
    url: '/cai/ipRecord',
    method: 'put',
    data: data
  })
}

// 删除ip访问记录
export function delIpRecord(id) {
  return request({
    url: '/cai/ipRecord/' + id,
    method: 'delete'
  })
}
